﻿using System;
using System.Collections.Generic;
using Androids;
using RimWorld;
using UnityEngine;
using Verse;

namespace AndroidConversion
{
	// Token: 0x02000003 RID: 3
	public class AndroidModDef : Def
	{
		// Token: 0x0400000A RID: 10
		public AndroidModGroupDef modGroup;

		// Token: 0x0400000B RID: 11
		public bool enabled = true;

		// Token: 0x0400000C RID: 12
		public Type modType = typeof(ModCommand_Hediff);

		// Token: 0x0400000D RID: 13
		public int removalPrintingTime;

		// Token: 0x0400000E RID: 14
		public bool removable = true;

		// Token: 0x0400000F RID: 15
		public int orderID;

		// Token: 0x04000010 RID: 16
		public string iconTexturePath;

		// Token: 0x04000011 RID: 17
		public List<ThingOrderRequest> costList = new List<ThingOrderRequest>();

		// Token: 0x04000012 RID: 18
		public List<ThingDef> costsNotAffectedByBodySize = new List<ThingDef>();

		// Token: 0x04000013 RID: 19
		public int extraPrintingTime;

		// Token: 0x04000014 RID: 20
		public List<HediffApplication> hediffs = new List<HediffApplication>();

		// Token: 0x04000015 RID: 21
		public HediffDef hediffToApply;

		// Token: 0x04000016 RID: 22
		public float hediffSeverity = 1f;

		// Token: 0x04000017 RID: 23
		public List<BodyPartGroupDef> partsToApplyTo;

		// Token: 0x04000018 RID: 24
		public BodyPartDepth partsDepth;

		// Token: 0x04000019 RID: 25
		public List<string> exclusivityGroups = new List<string>();

		// Token: 0x0400001A RID: 26
		public BodyTypeDef newBodyType;

		// Token: 0x0400001B RID: 27
		public bool changeSkinColor;

		// Token: 0x0400001C RID: 28
		public Color newSkinColor = new Color(1f, 1f, 1f);

		// Token: 0x0400001D RID: 29
		public ResearchProjectDef requiredResearch;

		// Token: 0x0400001E RID: 30
		public List<string> spawnInBackstories = new List<string>();

		// Token: 0x0400001F RID: 31
		public bool invasive = true;
	}
}
